commit:     43aa17ea2fbe92508d8cd47fef0187f22096812e
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  3 10:06:15 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Sep  3 12:11:02 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=43aa17ea

net-irc/hexchat: Bump to version 2.14.2

Package-Manager: Portage-2.3.48, Repoman-2.3.10

 net-irc/hexchat/Manifest              |   1 +
 net-irc/hexchat/hexchat-2.14.2.ebuild | 136 ++++++++++++++++++++++++++++++++++
 2 files changed, 137 insertions(+)

diff --git a/net-irc/hexchat/Manifest b/net-irc/hexchat/Manifest
index d498e28b7f1..6a319e29c69 100644
--- a/net-irc/hexchat/Manifest
+++ b/net-irc/hexchat/Manifest
@@ -1,2 +1,3 @@
 DIST hexchat-2.12.4.tar.xz 1451468 BLAKE2B 
91db1486b421f9707f9dddfe8aba812aa283d5e3cc3c12815faa7e515d00b803bde0bbf30e1ca5c0b69fe954dd30a6f69e5094dabe1dc641ae4f0742ad1965b4
 SHA512 
48d30c23973a19efc7a8e6d00a3e9675e8556a6fa9da046175b3d87bdab0bebbc6caf58970d654e270421d0d49c2cd9f498b425b7e3a49dd81670dc4825fca40
 DIST hexchat-2.14.1.tar.xz 1281872 BLAKE2B 
e450fe7391b8b51a7aebeaeacdb5f1fb6c00184f668813920d98ed6a00dd4c0308863657467b7608987feb0739ac85256d93ca9ef8a220e6c7a5545d8386f25d
 SHA512 
2728d6f084530c1a65ddb7960db6574fef2bca77e726a2155c8b5724256f37b47421e990b1bf7c9fad7987027b2f6de4534a8df28a98cb3d28da726e16ac32dd
+DIST hexchat-2.14.2.tar.xz 1288732 BLAKE2B 
93001bf48516e0326c4df16945ff8a157e7a410ca202d1231657c9fb439ddd4a7515aacea0b0fff92365d477aa24c90d37aa61466495354dcdf5578d7accfa65
 SHA512 
488799700e439a137ad469f618cb1abf75d1f1ebf223c750d658004ef7b2c728543a5a9ae4e6317d6447428dc59e12dded619346a5d8bba12c92dab653512fca

diff --git a/net-irc/hexchat/hexchat-2.14.2.ebuild 
b/net-irc/hexchat/hexchat-2.14.2.ebuild
new file mode 100644
index 00000000000..ee382d60463
--- /dev/null
+++ b/net-irc/hexchat/hexchat-2.14.2.ebuild
@@ -0,0 +1,136 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{4,5,6,7} )
+
+inherit gnome2-utils meson mono-env python-single-r1 xdg-utils
+
+DESCRIPTION="Graphical IRC client based on XChat"
+HOMEPAGE="https://hexchat.github.io/";
+
+if [[ "${PV}" == "9999" ]] ; then
+       inherit git-r3
+       SRC_URI=""
+       EGIT_REPO_URI="https://github.com/${PN}/${PN}.git";
+else
+       SRC_URI="https://dl.hexchat.net/${PN}/${P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux"
+fi
+
+LICENSE="GPL-2 plugin-fishlim? ( MIT )"
+SLOT="0"
+IUSE="dbus debug +gtk libcanberra libnotify libproxy libressl lua perl 
plugin-checksum plugin-fishlim plugin-sysinfo python ssl theme-manager"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+COMMON_DEPEND="
+       dev-libs/glib:2
+       dbus? ( dev-libs/dbus-glib )
+       gtk? (
+               x11-libs/gdk-pixbuf:2
+               x11-libs/gtk+:2
+               x11-libs/libX11
+               x11-libs/pango
+       )
+       libcanberra? ( media-libs/libcanberra )
+       libproxy? ( net-libs/libproxy )
+       libnotify? ( x11-libs/libnotify )
+       lua? ( dev-lang/lua:= )
+       perl? ( dev-lang/perl )
+       plugin-sysinfo? ( sys-apps/pciutils )
+       python? ( ${PYTHON_DEPS} )
+       ssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl:0= )
+       )
+       theme-manager? (
+               || (
+                       ( dev-lang/mono[minimal] dev-dotnet/libgdiplus )
+                       dev-lang/mono[-minimal]
+               )
+       )"
+
+RDEPEND="${COMMON_DEPEND}"
+DEPEND="
+       ${COMMON_DEPEND}
+       app-arch/xz-utils
+       app-text/iso-codes
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+pkg_setup() {
+       use python && python-single-r1_pkg_setup
+       if use theme-manager ; then
+               mono-env_pkg_setup
+               export XDG_CACHE_HOME="${T}/.cache"
+       fi
+}
+
+src_configure() {
+       local emesonargs=(
+               -Dwith-gtk="$(usex gtk true false)"
+               -Dwith-text="$(usex gtk false true)"
+               -Dwith-ssl="$(usex ssl true false)"
+               -Dwith-plugin=true
+               -Dwith-dbus="$(usex dbus true false)"
+               -Dwith-libproxy="$(usex libproxy true false)"
+               -Dwith-libnotify="$(usex libnotify true false)"
+               -Dwith-libcanberra="$(usex libcanberra true false)"
+               -Dwith-theme-manager="$(usex theme-manager true false)"
+               -Ddbus-service-use-appid=false
+               -Dwith-checksum="$(usex plugin-checksum true false)"
+               -Dwith-fishlim="$(usex plugin-fishlim true false)"
+               -Dwith-lua="$(usex lua lua false)"
+               -Dwith-perl="$(usex perl "${EPREFIX}"/usr/bin/perl false)"
+               -Dwith-python="$(usex python "${EPYTHON/.*}" false)"
+               -Dwith-sysinfo="$(usex plugin-sysinfo true false)"
+               -Dwith-appdata=false
+       )
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install
+       dodoc readme.md
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_preinst() {
+       if use gtk ; then
+               gnome2_icon_savelist
+       fi
+}
+
+pkg_postinst() {
+       if use gtk ; then
+               gnome2_icon_cache_update
+               xdg_desktop_database_update
+               xdg_mimeinfo_database_update
+       else
+               elog "You have disabled the gtk USE flag. This means you don't 
have"
+               elog "the GTK-GUI for HexChat but only a text interface called 
\"hexchat-text\"."
+       fi
+
+       if use theme-manager ; then
+               elog "Themes are available at:"
+               elog "  https://hexchat.github.io/themes.html";
+       fi
+
+       elog
+       elog "optional dependencies:"
+       elog "  media-sound/sox (sound playback if you don't have libcanberra"
+       elog "    enabled)"
+       elog "  x11-plugins/hexchat-javascript (javascript support)"
+       elog "  x11-themes/sound-theme-freedesktop (default BEEP sound,"
+       elog "    needs libcanberra enabled)"
+}
+
+pkg_postrm() {
+       if use gtk ; then
+               gnome2_icon_cache_update
+               xdg_desktop_database_update
+               xdg_mimeinfo_database_update
+       fi
+}

Reply via email to